Skip to main content
GET
/
v1
/
transcripts
List earnings call transcripts
curl --request GET \
  --url https://api.ivory.finance/v1/transcripts \
  --header 'X-API-Key: <api-key>'
{
  "total": 123,
  "limit": 123,
  "offset": 123,
  "transcripts": [
    {
      "doc_id": "<string>",
      "ticker": "<string>",
      "exchange": "<string>",
      "company_name": "<string>",
      "call_date": "2023-12-25",
      "fiscal_year": 123,
      "fiscal_quarter": 123,
      "period_label": "<string>",
      "executives": [],
      "analysts": [],
      "total_words": 123,
      "total_utterances": 123,
      "executive_word_count": 123,
      "analyst_word_count": 123,
      "market_cap_usd": 123,
      "stock_price_at_close": 123,
      "indexed_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

ticker
string | null

Filter by ticker symbol, e.g. AAPL

fiscal_year
integer | null

Filter by fiscal year, e.g. 2025

fiscal_quarter
integer | null

Filter by fiscal quarter (1-4)

Required range: 1 <= x <= 4
from_date
string<date> | null

Only transcripts on or after this call date

to_date
string<date> | null

Only transcripts on or before this call date

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

total
integer
required
limit
integer
required
offset
integer
required
transcripts
TranscriptSummary · object[]
required